List Custom Data Records
curl --request GET \
--url https://api.usesimple.ai/api/v1/data/{table_name} \
--header 'Authorization: <api-key>'import requests
url = "https://api.usesimple.ai/api/v1/data/{table_name}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.usesimple.ai/api/v1/data/{table_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"records": [
{
"id": 123,
"organization_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total_count": 123,
"page": 123,
"per_page": 123
}{
"status": "error",
"success": false,
"error": "<string>",
"errors": [
"<string>"
]
}{
"status": "error",
"success": false,
"error": "<string>",
"errors": [
"<string>"
]
}{
"status": "error",
"success": false,
"error": "<string>",
"errors": [
"<string>"
]
}Custom Data
List Records in a Custom Data Table
List, paginate, sort, and filter records stored in a Simple AI custom data table using table and managed column values.
GET
/
data
/
{table_name}
List Custom Data Records
For indexed free-text and facet filtering, use Query Custom Data.
Use query parameters for pagination and sorting. Query parameters that match table columns or managed columns are treated as exact-match filters.
Authorizations
Path Parameters
Custom data table name.
Pattern:
^[A-Za-z0-9_-]+$Query Parameters
Page number. Invalid or non-positive values default to 1.
Number of records per page. Values above 200 are capped at 200.
Required range:
x <= 200Column used for sorting. Use a declared table column or one of id, organization_id, created_at, updated_at.
Sort direction. Any value other than ASC defaults to DESC.
Available options:
ASC, DESC, asc, desc Last modified on September 3, 2026